<div [ngSwitch]="sourceType">

  <div *ngSwitchCase="'IMAGES_PREVIEW'">
    <div class="bg" *ngIf="presentation?.images?.length; else nodata">
      <img [src]="presentation.images[presentation.counter]">
    </div>
    <ng-template #nodata>
      Non ci sono immagini
    </ng-template>
  </div>

  <div *ngSwitchCase="'RADIO_STREAMS'">
    <div class="bg">
      <img [src]="backgroundImageUrl" alt="bg">
    </div>
    <div class="radio-container">
      <app-radio-stream [isAdmin]="false"></app-radio-stream>
    </div>
  </div>
</div>
